Import products and pricing data
1 min
POST
https://api.nue.io/cpq/async/imports/revenue-builder-data
Query Parameters
- import-operationstringDescription
Body Parameters
- bodyobject
- uomstring<binary>DescriptionFormatbinary
- credit-typestring<binary>DescriptionFormatbinary
- credit-poolstring<binary>DescriptionFormatbinary
- credit-conversionstring<binary>DescriptionFormatbinary
- price-bookstring<binary>DescriptionFormatbinary
- price-tagstring<binary>DescriptionFormatbinary
- product-groupstring<binary>DescriptionFormatbinary
- productstring<binary>DescriptionFormatbinary
- bundlestring<binary>DescriptionFormatbinary
- bundle-suitestring<binary>DescriptionFormatbinary
- product-relationshipstring<binary>DescriptionFormatbinary
- custom-settingstring<binary>DescriptionFormatbinary
Responses
200
400
curl
curl --request POST \
--url https://api.nue.io/cpq/async/imports/revenue-builder-data \
--header 'accept: */*'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "*/*");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/cpq/async/imports/revenue-builder-data", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/cpq/async/imports/revenue-builder-data")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "*/*"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/cpq/async/imports/revenue-builder-data"
payload = {}
headers = {
'accept': '*/*',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
400
// Bad Request